BiblioteQ: biblioteq Class Reference

BiblioteQ

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
biblioteq Class Reference
Inheritance diagram for biblioteq:
[legend]
Collaboration diagram for biblioteq:
[legend]

## Public Slots

void | slotDisplaySummary (void)
void | slotResizeColumns (void)

## Signals

void | fontChanged (const QFont &font)

## Public Member Functions

QColor | availabilityColor (const QString &itemType) const
QHash< QString, QString > | getAmazonHash (void) const
QHash< QString, QString > | getOpenLibraryImagesHash (void) const
QHash< QString, QString > | getOpenLibraryItemsHash (void) const
QHash< QString, QString > | getSRUHash (const QString &name) const
QHash< QString, QString > | getZ3950Hash (const QString &name) const
QMainWindow * | getMembersBrowser (void) const
QSqlDatabase | getDB (void) const
QString | getAdminID (void) const
QString | getPreferredSRUSite (void) const
QString | getPreferredZ3950Site (void) const
QString | getRoles (void) const
QString | getTypeFilterString (void) const
QString | publicationDateFormat (const QString &itemType) const
QString | unaccent (void) const
QStringList | getSRUNames (void) const
QStringList | getZ3950Names (void) const
QVariant | setting (const QString &name) const
QVector< QString > | getBBColumnIndexes (void) const
Ui_mainWindow | getUI (void) const
Ui_membersBrowser | getBB (void) const
bool | availabilityColors (void) const
bool | isGuest (void) const
bool | isPatron (void) const
int | pageLimit (void) const
int | populateTable (const QSqlQuery &query, const QString &typefilter, const int pagingType, const int searchType)
int | populateTable (const int search_type_arg, const QString &typefilter, const QString &searchstrArg, const int pagingType=NEW_PAGE)
void | addError (const QString &type, const QString &summary, const QString &error="", const char *file="", const int line=0)
void | bookSearch (const QString &field, const QString &value)
void | cdSearch (const QString &field, const QString &value)
void | dvdSearch (const QString &field, const QString &value)
void | greyLiteratureSearch (const QString &field, const QString &value)
void | journSearch (const QString &field, const QString &value)
void | magSearch (const QString &field, const QString &value)
void | pcSearch (const QString &field, const QString &value)
void | removeBook (biblioteq_book *book)
void | removeCD (biblioteq_cd *cd)
void | removeDVD (biblioteq_dvd *dvd)
void | removeGreyLiterature (biblioteq_grey_literature *gl)
void | removeJournal (biblioteq_journal *journal)
void | removeMagazine (biblioteq_magazine *magazine)
void | removePhotographCollection (biblioteq_photographcollection *pc)
void | removeVideoGame (biblioteq_videogame *videogame)
void | replaceBook (const QString &id, biblioteq_book *book)
void | replaceCD (const QString &id, biblioteq_cd *cd)
void | replaceDVD (const QString &id, biblioteq_dvd *dvd)
void | replaceGreyLiterature (const QString &id, biblioteq_grey_literature *gl)
void | replaceJournal (const QString &id, biblioteq_journal *journal)
void | replaceMagazine (const QString &id, biblioteq_magazine *magazine)
void | replacePhotographCollection (const QString &id, biblioteq_photographcollection *photograph)
void | replaceVideoGame (const QString &id, biblioteq_videogame *videogame)
void | setGlobalFonts (const QFont &font)
void | setSummaryImages (const QImage &back, const QImage &front)
void | showMain (void)
void | updateItemWindows (void)
void | updateMembersBrowser (const QString &memberid)
void | updateMembersBrowser (void)
void | updateReservationHistoryBrowser (const QString &memberid, const QString &ioid, const QString &copyid, const QString &itemType, const QString &returnedDate)
void | updateRows (const QString &oid, const int row, const QString &it)
void | updateSceneItem (const QString &oid, const QString &type, const QImage &image)
void | vgSearch (const QString &field, const QString &value)

## Static Public Member Functions

static QString | homePath (void)
static void | quit (const char *msg, const char *file, const int line)
static void | quit (void)

## Public Attributes

QPointer< QMenu > | m_configToolMenu
QString | m_unaccent

## Static Public Attributes

static QString | s_locale = ""
static QTranslator * | s_appTranslator = nullptr
static const int | CUSTOM_QUERY = 0
static const int | EDITABLE = 0
static const int | MAXIMUM_DEVICES_CONFIRMATION = 5
static const int | NEW_PAGE = 0
static const int | NEXT_PAGE = 1
static const int | POPULATE_ALL = 1
static const int | POPULATE_SEARCH = 2
static const int | POPULATE_SEARCH_BASIC = 3
static const int | PREVIOUS_PAGE = 2
static const int | VIEW_ONLY = 1

The documentation for this class was generated from the following files:

- Source/biblioteq.h
- Source/biblioteq_a.cc
- Source/biblioteq_b.cc
- Source/biblioteq_c.cc
- Source/biblioteq_d.cc